> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Inspiration and Schema by ID

> Get detailed information about a specific inspiration by ID.



## OpenAPI

````yaml get /api/inspirations/{id}/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/inspirations/{id}/:
    get:
      tags:
        - inspirations
      operationId: inspirations_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this Community Creation.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APICommunityCreationDetail'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    APICommunityCreationDetail:
      type: object
      description: >-
        Detailed serializer for Community Creation with all fields matching
        CommunityRecipeSerializer
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          description: Name of Community Creation
          maxLength: 255
        description:
          type: string
          description: Description of Community Creation
        gen_type:
          type: string
          readOnly: true
          description: Generation type of the inspiration.
        input_params_schema:
          allOf:
            - $ref: '#/components/schemas/ModelInputParamsSchema'
          readOnly: true
          description: Input parameters schema for the inspiration.
        preview_image:
          type: string
          format: uri
          nullable: true
          description: Preview image of Community Creation
        preview_video:
          type: string
          format: uri
          nullable: true
          description: Preview video of Community Creation
        credit_cost:
          type: number
          format: double
          readOnly: true
          description: >-
            Credit cost for generating with this inspiration via the API (4x
            in-app price).
        categories:
          type: array
          items:
            type: object
            additionalProperties: {}
          readOnly: true
          description: List of category tags associated with the inspiration.
        labels:
          type: array
          items:
            type: object
            additionalProperties: {}
          readOnly: true
          description: List of label tags associated with the inspiration.
      required:
        - categories
        - credit_cost
        - gen_type
        - id
        - input_params_schema
        - labels
        - name
    ModelInputParamsSchema:
      type: object
      properties:
        schema_uri:
          type: string
          description: >-
            JSON Schema meta-schema URI (e.g.,
            https://json-schema.org/draft-07/schema#).
        required:
          type: array
          items:
            type: string
          description: List of required property names.
        properties:
          type: object
          additionalProperties: {}
          description: Object defining property schemas.
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````